Bug 8392 - автодополнение при перенаправлении потока
: автодополнение при перенаправлении потока
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/bash-completion)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-11-01 19:24 by
Modified: 2008-04-14 00:12 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-01 19:24:07
bash-2.05b-alt7, bash-completion-20050712-alt01 
Не работает автодополнение при перенаправления потока ошибок, например.  
Пишем: 
$ strace xeyes 2> 
жмем TAB, и не получаем ничего, а хотелось файлы/диры в текущей директории. 
Забавно что в zsh вроде работает. В bash работает если после ">" поставить 
пробел, что не очень удобно наверно.
------- Comment #1 From 2008-02-22 01:44:03 -------
bash-3.1.17-alt4
bash-completion-20060301-alt04

Подтверждаю. 

Только непонятно, считать ли это необходимым исправлять. После пробела-то работает.

Возможно, тогда WONTFIX или INVALID.
------- Comment #2 From 2008-02-22 11:09:05 -------
Апстрим и я примем с огромным удовольствием патч )
------- Comment #3 From 2008-02-22 11:11:49 -------
(In reply to comment #1)
> Возможно, тогда WONTFIX или INVALID.

С чего бы INVALID? Баг-то есть.
------- Comment #4 From 2008-02-22 14:00:51 -------
А, я немного поспешил при проверке. Возможно, оказалось важным, что xeyes у
меня
нет. Или для разных программ разное поведение. В такой ситуации (strace и
evince
есть, xeyes нет):

$ xeyes 2>[TAB] -- показывает список файлов и директорий
$ strace xeyes 2>[TAB] -- ничего
$ evince 2>[TAB] -- ничего
$ strace evince 2>[TAB] -- список директорий

$ xeyes 2> [TAB] -- список файлов и директорий
$ strace xeyes 2> [TAB] -- список файлов и директорий
$ evince 2> [TAB] -- список директорий
$ strace evince 2> [TAB] -- список директорий
------- Comment #5 From 2008-02-22 14:04:54 -------
(In reply to comment #3)
> С чего бы INVALID? Баг-то есть.

Ну, может, это feature. Позиции после ">" и после "> " различаются для
синтаксиса bash-а:

$ strace echo a 2>&1 -- так можно
$ strace echo a 2> &1 -- так нельзя

Может, не показывая список файлов, bash-completion сообщает, что там можно ещё
указать дескриптор потока.